Bug 1226651 - Error when trying add PPC64LE host to engine
Summary: Error when trying add PPC64LE host to engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Martin Polednik
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks: RHEV3.6PPC
TreeView+ depends on / blocked
 
Reported: 2015-05-31 12:16 UTC by Sagi Shnaidman
Modified: 2016-03-09 19:40 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 19:40:37 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
engine log from 3.5 (9.78 KB, text/plain)
2015-05-31 12:16 UTC, Sagi Shnaidman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0362 normal SHIPPED_LIVE vdsm 3.6.0 bug fix and enhancement update 2016-03-09 23:49:32 UTC
oVirt gerrit 42037 None None None Never
oVirt gerrit 42131 None None None Never

Description Sagi Shnaidman 2015-05-31 12:16:03 UTC
Created attachment 1032854 [details]
engine log from 3.5

Description of problem:

Install VDSM on PPC64LE machine, add it as host to engine (3.5, 3.6).
In engine choose ppc64 arch.

There is an error:
Host ibm8 moved to Non-Operational state as host CPU type is not supported in this cluster compatibility version or is not supported at all

Please make possible support of ppc64le hosts.

Comment 2 Michal Skrivanek 2015-06-04 10:36:02 UTC
the filtering by architecture in vdsm needs to be changed similarly as for x86 vs x86_64 when parsing libvirt's cpu_map.xml

Comment 3 Michal Skrivanek 2015-06-05 13:03:51 UTC
note you currently have to change the list of models in engine db to power8e instead of power8. 
Not yet clear if we need to have both or just one of them

Comment 4 Michal Skrivanek 2015-06-08 12:23:59 UTC
VDSM/libvirt identifies the CPU as power8e. We believe it's libvirt bug and won't fix it at the moment. Engine expects "power8"

WA for engine: use engine-config to get & set the value of 'ServerCPUList' from model_power8 to model_power8e

Comment 5 Eyal Edri 2015-06-10 08:31:26 UTC
is it possible for QE to apply this WA to automation in order to test ppc64le?

Comment 6 Gil Klein 2015-06-10 08:50:33 UTC
We might be able to workaround, but we must make sure we have a libvirt BZ open and an ETA for a fix.

Michal, do we have such a BZ yet?

Comment 7 Michal Skrivanek 2015-06-11 08:03:40 UTC
(In reply to Michal Skrivanek from comment #4)
> VDSM/libvirt identifies the CPU as power8e. We believe it's libvirt bug and
> won't fix it at the moment. Engine expects "power8"
> 
> WA for engine: use engine-config to get & set the value of 'ServerCPUList'
> from model_power8 to model_power8e

We're getting this fix in as well (decided to treat both CPUs separately)

Comment 8 Eyal Edri 2015-06-14 08:25:30 UTC
michal, i see both patches are merged, that means the bug should be on modified or we're waiting for another patch?

Comment 9 Michal Skrivanek 2015-06-14 10:21:42 UTC
everything's in

Comment 10 Eyal Edri 2015-06-16 14:17:24 UTC
we need an engine build to run it right?
it means we'll need to also provide to QE rhevm 3.6.0 build early in process.

can this fix backported to 3.5? if we plan to support ppc64le host from 3.5 engine

Comment 11 Michal Skrivanek 2015-07-20 12:54:26 UTC
there is still a possible change to a solution, pending libvirt's updates

Comment 12 Jiri Belka 2015-08-05 11:34:09 UTC
ok, ovirt-engine-backend-3.6.0-0.0.master.20150726172446.git65db93d.el6.noarch

# virsh -c qemu:///system 'hostname ; capabilities' | egrep "^i|model>p"
ibm-p8-rhevm-hv-02.klab.eng.bos.redhat.com
      <model>power8e</model>

added find into engine with power8e cluster setup. adding the same host into  power8 (BE) cluster failed as expected (different cpu model).

Comment 14 errata-xmlrpc 2016-03-09 19:40:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0362.html


Note You need to log in before you can comment on or make changes to this bug.